GNU bug report logs - #18715
mdate-sh output is timezone dependant triggering rebuilds

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: automake; Reported by: "Francisco Blas Izquierdo Riera (klondike)" <klondike@HIDDEN>; merged with #18714; dated Tue, 14 Oct 2014 04:21:02 UTC; Maintainer for automake is bug-automake@HIDDEN.

Message received at 18715 <at> debbugs.gnu.org:


Received: (at 18715) by debbugs.gnu.org; 14 Oct 2014 18:53:35 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Oct 14 14:53:35 2014
Received: from localhost ([127.0.0.1]:43504 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1Xe7Dy-0006Us-Qe
	for submit <at> debbugs.gnu.org; Tue, 14 Oct 2014 14:53:34 -0400
Received: from smtp.gentoo.org ([140.211.166.183]:35455)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <klondike@HIDDEN>) id 1Xe7Dw-0006Ue-Cl
 for 18715 <at> debbugs.gnu.org; Tue, 14 Oct 2014 14:53:33 -0400
Received: from [IPv6:2001:16d8:ff00:5f8::2] (cl-1529.sto-01.se.sixxs.net
 [IPv6:2001:16d8:ff00:5f8::2])
 (using TLSv1 with cipher ECDHE-RSA-AES128-SHA (128/128 bits))
 (No client certificate requested) (Authenticated sender: klondike)
 by smtp.gentoo.org (Postfix) with ESMTPSA id 77D663403CF;
 Tue, 14 Oct 2014 18:53:28 +0000 (UTC)
Message-ID: <543D711D.7030108@HIDDEN>
Date: Tue, 14 Oct 2014 20:53:17 +0200
From: "Francisco Blas Izquierdo Riera (klondike)" <klondike@HIDDEN>
User-Agent: Mozilla/5.0 (X11; Linux x86_64;
 rv:24.0) Gecko/20100101 Thunderbird/24.8.0
MIME-Version: 1.0
To: Eric Blake <eblake@HIDDEN>, 18715 <at> debbugs.gnu.org
Subject: Re: bug#18715: mdate-sh output is timezone dependant triggering
 rebuilds
References: <543C8FB0.8010103@HIDDEN> <543D0FDC.9040406@HIDDEN>
In-Reply-To: <543D0FDC.9040406@HIDDEN>
X-Enigmail-Version: 1.6
Content-Type: multipart/signed; micalg=pgp-sha1;
 protocol="application/pgp-signature";
 boundary="Fwldh5luFvuNIUa8qpX2uHcE9KVRWdU47"
X-Spam-Score: -5.0 (-----)
X-Debbugs-Envelope-To: 18715
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -5.0 (-----)

This is an OpenPGP/MIME signed message (RFC 4880 and 3156)
--Fwldh5luFvuNIUa8qpX2uHcE9KVRWdU47
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: quoted-printable

El 14/10/14 13:58, Eric Blake escribi=C3=B3:
> Thanks for the report. Yes, we should fix mdate-sh to output results
> in UTC, if it is easy to write portable shell to normalize dates (with
> GNU date it is easy, but mdate-sh has to run on systems that lack GNU
> date).=20
Well the suggested workaround for now is setting the TZ variable to UTC,
I'm not sure how well that'd work though.


--Fwldh5luFvuNIUa8qpX2uHcE9KVRWdU47
Content-Type: application/pgp-signature; name="signature.asc"
Content-Description: OpenPGP digital signature
Content-Disposition: attachment; filename="signature.asc"

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v2
Comment: Using GnuPG with Thunderbird - http://www.enigmail.net/

iEYEARECAAYFAlQ9cSAACgkQcfrM1mX4BmCvEACdFOOgxmVThAULWt5P+Jrcuu1E
vRYAoKlK6JxgCuzyJK+Ts08sIbcfLDBx
=R4hZ
-----END PGP SIGNATURE-----

--Fwldh5luFvuNIUa8qpX2uHcE9KVRWdU47--




Information forwarded to bug-automake@HIDDEN:
bug#18715; Package automake. Full text available.
Merged 18714 18715. Request was from Eric Blake <eblake@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 18715 <at> debbugs.gnu.org:


Received: (at 18715) by debbugs.gnu.org; 14 Oct 2014 11:58:27 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Oct 14 07:58:26 2014
Received: from localhost ([127.0.0.1]:43261 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1Xe0kE-00079y-EY
	for submit <at> debbugs.gnu.org; Tue, 14 Oct 2014 07:58:26 -0400
Received: from mx1.redhat.com ([209.132.183.28]:58709)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <eblake@HIDDEN>)
 id 1Xe0kB-00079i-3c; Tue, 14 Oct 2014 07:58:24 -0400
Received: from int-mx10.intmail.prod.int.phx2.redhat.com
 (int-mx10.intmail.prod.int.phx2.redhat.com [10.5.11.23])
 by mx1.redhat.com (8.14.4/8.14.4) with ESMTP id s9EBwLiI015320
 (version=TLSv1/SSLv3 cipher=DHE-RSA-AES256-GCM-SHA384 bits=256 verify=FAIL);
 Tue, 14 Oct 2014 07:58:21 -0400
Received: from [10.3.113.124] (ovpn-113-124.phx2.redhat.com [10.3.113.124])
 by int-mx10.intmail.prod.int.phx2.redhat.com (8.14.4/8.14.4) with ESMTP id
 s9EBwKZX004940; Tue, 14 Oct 2014 07:58:21 -0400
Message-ID: <543D0FDC.9040406@HIDDEN>
Date: Tue, 14 Oct 2014 05:58:20 -0600
From: Eric Blake <eblake@HIDDEN>
Organization: Red Hat, Inc.
User-Agent: Mozilla/5.0 (X11; Linux x86_64;
 rv:31.0) Gecko/20100101 Thunderbird/31.1.1
MIME-Version: 1.0
To: "Francisco Blas Izquierdo Riera (klondike)" <klondike@HIDDEN>,
 18715 <at> debbugs.gnu.org
Subject: Re: bug#18715: mdate-sh output is timezone dependant triggering
 rebuilds
References: <543C8FB0.8010103@HIDDEN>
In-Reply-To: <543C8FB0.8010103@HIDDEN>
OpenPGP: url=http://people.redhat.com/eblake/eblake.gpg
Content-Type: multipart/signed; micalg=pgp-sha256;
 protocol="application/pgp-signature";
 boundary="i77gu3hfr2wVlabvejaiHLqPV8KXpNDrg"
X-Scanned-By: MIMEDefang 2.68 on 10.5.11.23
X-Spam-Score: -5.0 (-----)
X-Debbugs-Envelope-To: 18715
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -5.0 (-----)

This is an OpenPGP/MIME signed message (RFC 4880 and 3156)
--i77gu3hfr2wVlabvejaiHLqPV8KXpNDrg
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable

merge 18714 18715
tag confirmed
thanks

On 10/13/2014 08:51 PM, Francisco Blas Izquierdo Riera (klondike) wrote:
> The output of mdate-sh depends on the local timezone used by the system=

> which may trigger unneeded rebuilds in some situations (especially when=

> the packaging machine and the building machine are on different timezon=
es).
>=20
> An example of such an issue can be found at
> https://bugs.gentoo.org/show_bug.cgi?id=3D520818

Thanks for the report.  Yes, we should fix mdate-sh to output results in
UTC, if it is easy to write portable shell to normalize dates (with GNU
date it is easy, but mdate-sh has to run on systems that lack GNU date).

--=20
Eric Blake   eblake redhat com    +1-919-301-3266
Libvirt virtualization library http://libvirt.org


--i77gu3hfr2wVlabvejaiHLqPV8KXpNDrg
Content-Type: application/pgp-signature; name="signature.asc"
Content-Description: OpenPGP digital signature
Content-Disposition: attachment; filename="signature.asc"

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1
Comment: Public key at http://people.redhat.com/eblake/eblake.gpg

iQEcBAEBCAAGBQJUPQ/cAAoJEKeha0olJ0NqjB8H/j1oYSvC6tjevdzlRA5HymCz
xfW8dis6r7JlFMm5xxUNK1z6RhjrOJbUbAf2DZi0m1Gv5JH0ipvKFIl9FsBKBIGb
Eg9GZEpTkDkAXymRlFH9g17F0gkTwWWXzLf3kjShCIbOwvPzOTDSLCtdC9jHbiWn
ZiRvX/Z8LQrkYoYSVKZl6vwRbgi4qI4Tatgim0Y2ZNTHqYpJU5gDVCAOr3/TCbpL
KIqMjTR1QHPvPnu6n3zPvVSP4yWvrCE/gDWaT8YxpNGR3e1NF+oBAu/e2mPOm7TQ
GJ7w8sBEZVEvGGr/m7+QX7BZpiUXXjsK/XkurDbxy82rYcUJiTyO1hJcuL1JcIw=
=gA+G
-----END PGP SIGNATURE-----

--i77gu3hfr2wVlabvejaiHLqPV8KXpNDrg--




Information forwarded to bug-automake@HIDDEN:
bug#18715; Package automake. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 14 Oct 2014 04:20:11 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Oct 14 00:20:11 2014
Received: from localhost ([127.0.0.1]:43087 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1Xdtak-0002Ib-4T
	for submit <at> debbugs.gnu.org; Tue, 14 Oct 2014 00:20:11 -0400
Received: from eggs.gnu.org ([208.118.235.92]:36019)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <klondike@HIDDEN>) id 1XdsDY-0007Dk-8J
 for submit <at> debbugs.gnu.org; Mon, 13 Oct 2014 22:52:08 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <klondike@HIDDEN>) id 1XdsDP-0005ut-1o
 for submit <at> debbugs.gnu.org; Mon, 13 Oct 2014 22:52:08 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-1.9 required=5.0 tests=BAYES_00 autolearn=disabled
 version=3.3.2
Received: from lists.gnu.org ([2001:4830:134:3::11]:32964)
 by eggs.gnu.org with esmtp (Exim 4.71)
 (envelope-from <klondike@HIDDEN>) id 1XdsDO-0005up-V5
 for submit <at> debbugs.gnu.org; Mon, 13 Oct 2014 22:51:58 -0400
Received: from eggs.gnu.org ([2001:4830:134:3::10]:37732)
 by lists.gnu.org with esmtp (Exim 4.71)
 (envelope-from <klondike@HIDDEN>) id 1XdsDI-0001Lz-N4
 for bug-automake@HIDDEN; Mon, 13 Oct 2014 22:51:58 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <klondike@HIDDEN>) id 1XdsDC-0005uN-Fl
 for bug-automake@HIDDEN; Mon, 13 Oct 2014 22:51:52 -0400
Received: from smtp.gentoo.org ([140.211.166.183]:54657)
 by eggs.gnu.org with esmtp (Exim 4.71)
 (envelope-from <klondike@HIDDEN>) id 1XdsDC-0005uG-AB
 for bug-automake@HIDDEN; Mon, 13 Oct 2014 22:51:46 -0400
Received: from [IPv6:2001:16d8:ff00:5f8::2] (cl-1529.sto-01.se.sixxs.net
 [IPv6:2001:16d8:ff00:5f8::2])
 (using TLSv1 with cipher ECDHE-RSA-AES128-SHA (128/128 bits))
 (No client certificate requested) (Authenticated sender: klondike)
 by smtp.gentoo.org (Postfix) with ESMTPSA id 078F73403FC
 for <bug-automake@HIDDEN>; Tue, 14 Oct 2014 02:51:43 +0000 (UTC)
Message-ID: <543C8FB0.8010103@HIDDEN>
Date: Tue, 14 Oct 2014 04:51:28 +0200
From: "Francisco Blas Izquierdo Riera (klondike)" <klondike@HIDDEN>
User-Agent: Mozilla/5.0 (X11; Linux x86_64;
 rv:24.0) Gecko/20100101 Thunderbird/24.8.0
MIME-Version: 1.0
To: bug-automake@HIDDEN
Subject: mdate-sh output is timezone dependant triggering rebuilds
X-Enigmail-Version: 1.6
Content-Type: multipart/signed; micalg=pgp-sha1;
 protocol="application/pgp-signature";
 boundary="uqnpFKhAp2LmIGWuQsVwOMifdT8i6e06q"
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 3.x
X-detected-operating-system: by eggs.gnu.org: Error: Malformed IPv6 address
 (bad octet value).
X-Received-From: 2001:4830:134:3::11
X-Spam-Score: -4.3 (----)
X-Debbugs-Envelope-To: submit
X-Mailman-Approved-At: Tue, 14 Oct 2014 00:20:08 -0400
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -4.3 (----)

This is an OpenPGP/MIME signed message (RFC 4880 and 3156)
--uqnpFKhAp2LmIGWuQsVwOMifdT8i6e06q
Content-Type: text/plain; charset=ISO-8859-1
Content-Transfer-Encoding: quoted-printable

The output of mdate-sh depends on the local timezone used by the system
which may trigger unneeded rebuilds in some situations (especially when
the packaging machine and the building machine are on different timezones=
).

An example of such an issue can be found at
https://bugs.gentoo.org/show_bug.cgi?id=3D520818


--uqnpFKhAp2LmIGWuQsVwOMifdT8i6e06q
Content-Type: application/pgp-signature; name="signature.asc"
Content-Description: OpenPGP digital signature
Content-Disposition: attachment; filename="signature.asc"

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v2
Comment: Using GnuPG with Thunderbird - http://www.enigmail.net/

iEYEARECAAYFAlQ8j7cACgkQcfrM1mX4BmA1tACfYPHHF3aRQ7QKaRDlyTliJRf1
QAgAoJ4p0q2TZvYLCSG0q/gZzR/6d9rU
=fDcC
-----END PGP SIGNATURE-----

--uqnpFKhAp2LmIGWuQsVwOMifdT8i6e06q--




Acknowledgement sent to "Francisco Blas Izquierdo Riera (klondike)" <klondike@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-automake@HIDDEN. Full text available.
Report forwarded to bug-automake@HIDDEN:
bug#18715; Package automake. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Fri, 31 Oct 2014 17:00:04 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.